export declare type LogLevel = "debug" | "error" | "info" | "warn" | "trace" | "verbose" | "silly";
declare global {
    interface Window {
        config?: {
            LOG_LEVEL?: LogLevel;
            [key: string]: string | any;
        };
    }
}
export declare const logger: {
    out(type: string, message: any, label?: string): void;
    info(message: any, label?: string): void;
    debug(message: any, label?: string): void;
    error(message: any, label?: string): void;
    warn(message: any, label?: string): void;
    stream: {
        write: (message: any, encoding: string) => void;
    };
};
//# sourceMappingURL=index.d.ts.map